#include "munga.h"
#pragma hdrstop

#include "time.h"

//#############################################################################
//###########################    System Clock    ##############################
//#############################################################################
//
SystemClock SystemClock::timer;
long SystemClock::ticksPerSecond = 1000;

long SystemClock::GetRTC()
{
	static long time=0L;
	return time++;
}

double SystemClock::GetHiRes()
{
   static __int64 time = 0;
   return (double)time++;
}

__int64 SystemClock::GetHiResTicks()
{
	static __int64 time = 0;
	return time++;
}

SystemClock::SystemClock()
{
	pauseStart = 0L;
	pauseTime = 0L;
}

void SystemClock::Shutdown()
{
}

float Get_Frame_Percent_Used()
{
	return 0.5f;
}